- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BE_GlobalData Class Reference

`#include <be_global.h>`

Collaboration diagram for BE_GlobalData:

[legend]
List of all members.

## Public Member Functions
| BE_GlobalData (void)
virtual | ~BE_GlobalData (void)
bool | removing (void) const
void | removing (bool value)
CORBA::ORB_ptr | orb (void) const
void | orb (CORBA::ORB_ptr orb)
CORBA::Repository_ptr | repository (void) const
void | repository (CORBA::Repository_ptr repo)
CORBA::ModuleDef_ptr | holding_scope (void) const
void | holding_scope (CORBA::ModuleDef_ptr scope)
const char * | holding_scope_name (void) const
ACE_Unbounded_Stack< CORBA::Container_ptr > & | ifr_scopes (void)
void | destroy (void)
const char * | filename (void) const
void | filename (char *fname)
bool | enable_locking (void) const
void | enable_locking (bool value)
bool | do_included_files (void) const
void | do_included_files (bool val)
ACE_CString | orb_args (void) const
void | orb_args (const ACE_CString &args)
ACE_CString | spawn_options (void)
void | parse_args (long &i, char **av)
void | prep_be_arg (char *s)
void | arg_post_proc (void)
void | usage (void) const
AST_Generator * | generator_init (void)
## Private Attributes
bool | removing_
CORBA::ORB_var | orb_
CORBA::Repository_var | repository_
CORBA::ModuleDef_var | holding_scope_
CORBA::String_var | holding_scope_name_
ACE_Unbounded_Stack< CORBA::Container_ptr > | ifr_scopes_
char * | filename_
bool | enable_locking_
bool | do_included_files_
ACE_CString | orb_args_

## Constructor & Destructor Documentation

BE_GlobalData::BE_GlobalData | ( | void |  | ) |

BE_GlobalData::~BE_GlobalData | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void BE_GlobalData::arg_post_proc | ( | void |  | ) |

void BE_GlobalData::destroy | ( | void |  | ) |

void BE_GlobalData::do_included_files | ( | bool | val | ) |

bool BE_GlobalData::do_included_files | ( | void |  | ) | const

void BE_GlobalData::enable_locking | ( | bool | value | ) |

bool BE_GlobalData::enable_locking | ( | void |  | ) | const

void BE_GlobalData::filename | ( | char * | fname | ) |

const char * BE_GlobalData::filename | ( | void |  | ) | const

AST_Generator * BE_GlobalData::generator_init | ( | void |  | ) |

void BE_GlobalData::holding_scope | ( | CORBA::ModuleDef_ptr | scope | ) |

CORBA::ModuleDef_ptr BE_GlobalData::holding_scope | ( | void |  | ) | const

const char * BE_GlobalData::holding_scope_name | ( | void |  | ) | const

ACE_Unbounded_Stack< CORBA::Container_ptr > & BE_GlobalData::ifr_scopes | ( | void |  | ) |

void BE_GlobalData::orb | ( | CORBA::ORB_ptr | orb | ) |

CORBA::ORB_ptr BE_GlobalData::orb | ( | void |  | ) | const

void BE_GlobalData::orb_args | ( | const ACE_CString & | args | ) |

ACE_CString BE_GlobalData::orb_args | ( | void |  | ) | const

void BE_GlobalData::parse_args | ( | long & | i,
|  | char ** | av |
| ) |  |  |

void BE_GlobalData::prep_be_arg | ( | char * | s | ) |

void BE_GlobalData::removing | ( | bool | value | ) |

bool BE_GlobalData::removing | ( | void |  | ) | const

void BE_GlobalData::repository | ( | CORBA::Repository_ptr | repo | ) |

CORBA::Repository_ptr BE_GlobalData::repository | ( | void |  | ) | const

ACE_CString BE_GlobalData::spawn_options | ( | void |  | ) |

void BE_GlobalData::usage | ( | void |  | ) | const

## Member Data Documentation

bool BE_GlobalData::do_included_files_`[private]`

bool BE_GlobalData::enable_locking_`[private]`

char* BE_GlobalData::filename_`[private]`

CORBA::ModuleDef_var BE_GlobalData::holding_scope_`[private]`

CORBA::String_var BE_GlobalData::holding_scope_name_`[private]`

ACE_Unbounded_Stack<CORBA::Container_ptr> BE_GlobalData::ifr_scopes_`[private]`

CORBA::ORB_var BE_GlobalData::orb_`[private]`

ACE_CString BE_GlobalData::orb_args_`[private]`

bool BE_GlobalData::removing_`[private]`

CORBA::Repository_var BE_GlobalData::repository_`[private]`

The documentation for this class was generated from the following files:

- be_global.h
- be_global.cpp